Overview
The Hedera mainnet (short for main network) is where applications are run in production, with transaction fees paid in HBAR. Any application or retail user can submit transactions to the Hedera mainnet; they’re automatically consensus-timestamped and fairly ordered. Any Hedera account can query data associated with Hedera’s services and stored on-chain. Every transaction requires payment of a fee. Fees follow a base fee + extras model defined in the network’s fee schedule (system file0.0.113). Fees are denominated in USD (as tinycents) and paid in HBAR at the current exchange rate (100,000,000 tℏ = 1 ℏ). You can learn more about transaction fees here and estimate your application costs using the fee tables or the POST /api/v1/network/fees Mirror Node endpoint.
If you’re looking to test your application (or just experiment), please visit Testnet Access. The Hedera testnet enables developers to prototype and test applications in a simulated mainnet environment that uses test HBAR for paying transaction fees.
Main Network Throttles
| Network Request Types | Throttle (tps) |
|---|---|
| Cryptocurrency Transactions |
|
| Consensus Transactions |
|
| Token Transactions |
|
| Schedule Transactions | ScheduleSignTransaction: 100 tpsScheduleCreateTransaction: 100 tps |
| File Transactions | 10 tps |
| Smart Contract Transactions | ContractExecuteTransaction: 15 million gas per secondContractCreateTransaction: 15 million gas per second |
| Queries (per node) |
|
| Receipts | unlimited (no throttle) |